
Infrastructure - Bug #1252

mimemultipart handling is buggy

2011-01-24 17:05 - Rob Nahf

Status: Closed Start date: 2011-01-24

Priority: High Due date:  

Assignee:  % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.05   

Milestone:  Story Points:  

Product Version: *   

Description

On both client and server side, implementation of mimemultipart is buggy, and needs refactoring and consolidation.  Proposal to use

3rd party libraries to handle request creation and parsing.  Will have to evaluate several packages.

Subtasks:

Task # 1291: get operations not received by D1 servers Closed

Task # 1290: MMP not working for PUT operations Closed

Task # 1254: create client-side library in d1_common_java Closed

Task # 1257: create server-side implementation in d1_common_java Closed

Task # 1258: flesh out unit and integration tests Closed

History

#1 - 2011-01-24 17:14 - Rob Nahf

- Category set to Documentation

- Status changed from New to In Progress

- Priority changed from Normal to High

- % Done changed from 0 to 50

Settling on the apache HttpMime 4.0.3 release for client-side handling.

Testing the O'Reilly (COS) package for request parsing on the server-side.  (com.oreilly.servlet.multipart)

#2 - 2011-01-24 17:43 - Rob Nahf

- Position set to 8

- Target version changed from Sprint-2011.03 to Sprint-2011.04

- Position deleted (10)

#3 - 2011-02-01 17:12 - Dave Vieglais

- Position set to 3

- Target version changed from Sprint-2011.04 to Sprint-2011.05

- Position deleted (11)

#4 - 2011-02-04 09:03 - Rob Nahf

- Status changed from In Progress to Closed

new apache implementations now working.
